Package com.orchestranetworks.ui.perspective

# Interface Perspective

public interface Perspective
Interface that provides information about a perspective.

Since:
  6.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Profile>`
  `getAllowedProfiles()`
  Returns the list of all allowed profiles of this perspective.
  `PerspectiveActionItem`
  `getDefaultActionItem()`
  Returns the action item that will be automatically selected when a user accesses this perspective.
  `String`
  `getDescription(Locale aLocale)`
  Returns the perspective description according to the given locale.
  `String`
  `getLabel(Locale aLocale)`
  Returns the perspective label according to the given locale.
  `String`
  `getName()`
  Returns the name of the perspective.
  `List<PerspectiveSectionItem>`
  `getSectionItems()`
  Returns a list of all sections defined in this perspective.
  `PerspectiveTheme`
  `getTheme()`
  Returns the theme defined by this perspective.
  `boolean`
  `isActivated()`
  Returns true if this perspective is activated.
  `boolean`
  `isAdvanced()`
  Returns true if this perspective is the advanced perspective.
  `boolean`
  `isAllowedForProfile(Profile aProfile, DirectoryHandler aDirectory)`
  Returns true if this perspective is allowed for a given profile.

- ## Method Details

  - ### getSectionItems

    List<PerspectiveSectionItem> getSectionItems()
    Returns a list of all sections defined in this perspective. Returns an empty list if the perspective is the advanced one.
    See Also:
      - `isAdvanced()`

  - ### getAllowedProfiles

    List<Profile> getAllowedProfiles()
    Returns the list of all allowed profiles of this perspective.

  - ### getDefaultActionItem

    PerspectiveActionItem getDefaultActionItem()
    Returns the action item that will be automatically selected when a user accesses this perspective.

  - ### getName

    String getName()
    Returns the name of the perspective.

  - ### isActivated

    boolean isActivated()
    Returns true if this perspective is activated.

  - ### isAdvanced

    boolean isAdvanced()
    Returns true if this perspective is the advanced perspective.

  - ### getLabel

    String getLabel(Locale aLocale)
    Returns the perspective label according to the given locale.

  - ### getDescription

    String getDescription(Locale aLocale)
    Returns the perspective description according to the given locale. Returns `null` if no description exists.

  - ### isAllowedForProfile

    boolean isAllowedForProfile(Profile aProfile, DirectoryHandler aDirectory)
    Returns true if this perspective is allowed for a given profile.

  - ### getTheme

    PerspectiveTheme getTheme()
    Returns the theme defined by this perspective.